Enspace
  1. Stages
Enspace
  • Introduction
  • Authentication
  • Concepts
  • First Steps
  • Workspaces
    • Types
      • Fields
        • List Fields
        • Create Field
        • Get Field
        • Field Updated
        • Delete Field
      • Items
        • List Items
        • Create Item
        • Count Items
        • Get Item
        • Update Item
        • Delete item
      • Flows
        • Stages
          • Tasks
            • Tutorial Actions
              • Integrations
                • Tutorial Integrations
            • List Tasks
            • Get specific Task
            • New Task
          • List Stages
            GET
          • Get specific Stage
            GET
        • List Flows
          GET
        • Get specific Flow
          GET
      • Forms
        • List Form
        • Get specific Form
        • List Form Create
      • List Types
        GET
      • Count Types
        GET
      • Get specific Type
        GET
      • Create Type
        POST
      • Update Type
        PUT
      • Delete Type
        DELETE
    • Members
      • List Members
      • Count Members
      • Get Member
      • New Member
      • Update Member
      • Remove Member
    • Roles
      • List roles
      • Create role
      • Count roles
      • Get specific role
      • Update role
      • Delete role
      • List Role Permissions
      • Add Permission to Role
      • Remove Role Permission
    • Member Groups
      • List groups
      • New group
      • Get group
      • Update group
      • Delete group
      • Add Users
      • Remove Users
    • Quick Tasks
      • List Quick Tasks
      • Count Quick Tasks
      • Get Quick Task
      • Delete Quick Task
      • Update Quick Task
      • New Quick Task
    • Integrations
      • Integration
      • Create Integration
    • List Workspaces
      GET
    • Workspace Context
      GET
    • New Workspace
      POST
    • Leave the workspace
      POST
    • Workspace Statistics
      GET
    • Workspace Deletion Preview
      GET
    • Delete Workspace
      DELETE
  • User
    • Request Log
    • List API Keys
  • Schemas
    • Schemas
      • Members
        • MemberUpdate
        • MemberCreate
        • Member
      • Roles
        • Role
        • RoleCreate
        • RoleUpdate
      • MemberGroups
        • MemberGroup
        • MemberGroupCreate
        • MemberGroupUpdate
      • Types
        • Type
        • TypeInput
        • TypeDetail
      • Items
        • Item
        • ItemInput
      • Workspace
        • WorkspaceContext
        • WorkspaceStats
        • Workspace
        • WorkspaceCreate
        • WorkspaceUpdate
      • Tasks
        • Tasks
      • Flow
        • Flow
      • Stages
        • Stage
      • Forms
        • Forms
      • Integrations
        • Integrations
      • User
      • RequestLog
      • UserApiKey
      • SuccessResponse
      • ErrorResponse
      • Field
      • FieldInput
      • Permission
      • PermissionInput
      • Error
    • Response
      • BadRequest
      • Unauthorized
      • Forbidden
      • NotFound
      • ServerError
  1. Stages

List Stages

Developing
Develop Env
https://api-develop.enspace.io
Develop Env
https://api-develop.enspace.io
GET
https://api-develop.enspace.io
/c-flow-stages
Maintainer:Julio Cordeiro

List Stages#

Returns a list of stages configured in the system. Each stage represents a step within a flow and contains metadata such as name, status, progress type, visual configuration (icon and color), and whether it is the starting stage.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
en-workspace
Example:
en-workspace: ********************
or
Query Params

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-develop.enspace.io/c-flow-stages?__relations=item_type,tasks,flow,user' \
--header 'x-api-key: <api-key>' \
--header 'en-workspace: <api-key>'
Response Response Example
200 - Example 1
[
    {
        "id": 0,
        "name": "string",
        "status": "string",
        "progress_type": "string",
        "is_start": true,
        "hex_color": "string",
        "icon": "string",
        "user": {
            "id": 0,
            "created_at": "string",
            "email": "string",
            "meta": {
                "fname": "string",
                "lname": "string"
            }
        },
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z",
        "item_type": {
            "name": "string",
            "slug": "string",
            "description": "string",
            "icon": "string",
            "color": "string",
            "settings": {
                "property1": "string",
                "property2": "string"
            }
        },
        "flow": {
            "id": 0,
            "name": "string",
            "status": "string",
            "item_type": {
                "name": "string",
                "slug": "string",
                "description": "string",
                "icon": "string",
                "color": "string",
                "settings": {
                    "property1": "string",
                    "property2": "string"
                }
            },
            "start_type": "always",
            "icon": "string",
            "user": {
                "id": 0,
                "created_at": "string",
                "email": "string",
                "meta": {
                    "fname": "string",
                    "lname": "string"
                }
            },
            "created_at": "2019-08-24T14:15:22.123Z",
            "updated_at": "2019-08-24T14:15:22.123Z"
        },
        "tasks": [
            {}
        ]
    }
]
Previous
New Task
Next
Get specific Stage
Built with